/*
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * Modify at your own risk.
 */

package com.google.api.services.rcsbusinessmessaging.v1.model;

/**
 * Standalone card
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the RCS Business Messaging API. For a detailed
 * explanation see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class StandaloneCard extends com.google.api.client.json.GenericJson {

  /**
   * Card content.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private CardContent cardContent;

  /**
   * Orientation of the card.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String cardOrientation;

  /**
   * Image preview alignment for standalone cards with horizontal layout.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String thumbnailImageAlignment;

  /**
   * Card content.
   * @return value or {@code null} for none
   */
  public CardContent getCardContent() {
    return cardContent;
  }

  /**
   * Card content.
   * @param cardContent cardContent or {@code null} for none
   */
  public StandaloneCard setCardContent(CardContent cardContent) {
    this.cardContent = cardContent;
    return this;
  }

  /**
   * Orientation of the card.
   * @return value or {@code null} for none
   */
  public java.lang.String getCardOrientation() {
    return cardOrientation;
  }

  /**
   * Orientation of the card.
   * @param cardOrientation cardOrientation or {@code null} for none
   */
  public StandaloneCard setCardOrientation(java.lang.String cardOrientation) {
    this.cardOrientation = cardOrientation;
    return this;
  }

  /**
   * Image preview alignment for standalone cards with horizontal layout.
   * @return value or {@code null} for none
   */
  public java.lang.String getThumbnailImageAlignment() {
    return thumbnailImageAlignment;
  }

  /**
   * Image preview alignment for standalone cards with horizontal layout.
   * @param thumbnailImageAlignment thumbnailImageAlignment or {@code null} for none
   */
  public StandaloneCard setThumbnailImageAlignment(java.lang.String thumbnailImageAlignment) {
    this.thumbnailImageAlignment = thumbnailImageAlignment;
    return this;
  }

  @Override
  public StandaloneCard set(String fieldName, Object value) {
    return (StandaloneCard) super.set(fieldName, value);
  }

  @Override
  public StandaloneCard clone() {
    return (StandaloneCard) super.clone();
  }

}
